window.Gleam.initSearch([{"doc":"biscotto","title":"biscotto","content":"# biscotto\n\n[![Package Version](https://img.shields.io/hexpm/v/biscotto)](https://hex.pm/packages/biscotto)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/biscotto/)\n\n```sh\ngleam add biscotto\n```\n\n```gleam\nimport biscotto\nimport gleam/http/request\n\npub fn main() {\n  let jar = biscotto.init()\n\n  let jar = jar\n  |&gt; biscotto.put(List(#(&quot;key&quot;, &quot;value&quot;)))\n\n  let assert Ok(req) = request.to(&quot;https://example.com&quot;)\n\n  let req = req\n  |&gt; biscotto.add(jar)\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/biscotto&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"biscotto","title":"Cookie","content":"pub type Cookie {\n  Cookie(\n    name: String,\n    value: String,\n    domain: String,\n    path: String,\n    expires: String,\n    secure: Bool,\n  )\n}\n A cookie.\nCookie(\n  name: String,\n  value: String,\n  domain: String,\n  path: String,\n  expires: String,\n  secure: Bool,\n)\n\n\nSynonyms:\nbiscotto.Cookie\nbiscotto Cookie","url":"biscotto.html#Cookie"},{"doc":"biscotto","title":"CookieJar","content":"pub type CookieJar {\n  CookieJar(cookies: Dict(String, Cookie))\n}\n A jar to store cookies.\nCookieJar(cookies: Dict(String, Cookie))\n\n\nSynonyms:\nbiscotto.CookieJar\nbiscotto CookieJar","url":"biscotto.html#CookieJar"},{"doc":"biscotto","title":"from_response","content":"pub fn from_response(\n  jar: CookieJar,\n  resp: Response(a),\n) -&gt; CookieJar\n Parse cookies from a response and add them to a jar.\n\n \n let jar = biscotto.init()\n\n // Perform a request\n use response &lt;- result.try(httpc.send(req))\n\n let jar = jar\n |&gt; biscotto.from_response(response)\n \nSynonyms:\nbiscotto.from_response\nbiscotto from_response","url":"biscotto.html#from_response"},{"doc":"biscotto","title":"get","content":"pub fn get(jar: CookieJar, key: String) -&gt; Result(Cookie, Nil)\n Get a specific cookie from the jar, by its name.\n\n \n let jar = biscotto.init()\n\n // Do something with the jar\n\n let cookie = jar |&gt; biscotto.get(&quot;my_cookie&quot;)\n \nSynonyms:\nbiscotto.get\nbiscotto get","url":"biscotto.html#get"},{"doc":"biscotto","title":"init","content":"pub fn init() -&gt; CookieJar\n Create a new cookie jar.\n\n \n let jar = biscotto.init()\n \nSynonyms:\nbiscotto.init\nbiscotto init","url":"biscotto.html#init"},{"doc":"biscotto","title":"peek","content":"pub fn peek(jar: CookieJar) -&gt; List(Cookie)\n Get all cookies from a jar.\n\n \n let jar = biscotto.init()\n\n // Do something with the jar\n\n let first_cookie = jar\n |&gt; biscotto.peek\n |&gt; list.first\n \nSynonyms:\nbiscotto.peek\nbiscotto peek","url":"biscotto.html#peek"},{"doc":"biscotto","title":"put","content":"pub fn put(\n  jar: CookieJar,\n  cookie: List(#(String, String)),\n) -&gt; CookieJar\n Add a cookie to the jar.\n\n \n let jar = biscotto.init()\n\n let cookie = [\n  #(&quot;name&quot;, &quot;value&quot;),\n  #(&quot;domain&quot;, &quot;example.com&quot;),\n  #(&quot;path&quot;, &quot;/&quot;)\n ]\n\n let jar = biscotto.put(jar, cookie)\nSynonyms:\nbiscotto.put\nbiscotto put","url":"biscotto.html#put"},{"doc":"biscotto","title":"remove","content":"pub fn remove(jar: CookieJar, key: String) -&gt; CookieJar\n Remove a cookie from the jar.\n\n \n let jar = biscotto.init()\n\n let jar = biscotto.remove(jar, &quot;my_cookie&quot;)\n\n let assert Error(_) = jar |&gt; biscotto.get(&quot;my_cookie&quot;)\n \nSynonyms:\nbiscotto.remove\nbiscotto remove","url":"biscotto.html#remove"},{"doc":"biscotto","title":"with_cookies","content":"pub fn with_cookies(\n  req: Request(a),\n  jar: CookieJar,\n) -&gt; Request(a)\n Add cookies to a request.\n\n \n let jar = biscotto.init()\n\n let assert Ok(req) = request.to(&quot;https://example.com&quot;)\n\n let req = biscotto.with_cookies(req, jar)\n \nSynonyms:\nbiscotto.with_cookies\nbiscotto with_cookies","url":"biscotto.html#with_cookies"},{"doc":"biscotto","title":"biscotto","content":"\n Biscotto\n\n Biscotto is a Gleam library to store and manage cookies with a jar.\n","url":"biscotto.html"}]);